<div class="event-card">
  <div class="content">
    <?php
    $serviceTime = null;
      if ($event->hideDetails != true) {
        if (isset($event->dateTime)) {
            $dateClass = $fcrmShowLocation == false ? ' space-under' : null;
            echo '<div class="service-date' . $dateClass . '"><strong>';
            $todayDate = new DateTime();
            $serviceTime = new DateTime($event->dateTime);
            echo $event->eventType . ': ';
            echo $serviceTime->format('D j M g:i a');
            echo '</strong></div>';
        } else {
          echo '<div class="service-date">'. $event->eventType . '<strong>';
        }

        if ($fcrmShowLocation == true) {
          echo '<div class="venue">';
          if (isset($event->venue) && isset($event->venue->googleLink)) {
            echo '<a href="' . urldecode($event->venue->googleLink) . '" target="_blank" class="venue">';
            if (isset($event->venue) && isset($event->venue->name)) {
              echo $event->venue->name . "</br>";
            }
            if (isset($event->venue) && isset($event->venue->address)) {
              echo $event->venue->address;
            }
            echo '</a>';
          } else {
            echo '<div class="venue">';
            if (isset($event->venue) && isset($event->venue->name)) {
              echo $event->venue->name . ",";
            }
            if (isset($event->venue) && isset($event->venue->address)) {
              echo $event->venue->address;
            }
            echo '</div>';
          }
          echo '</div>';
        }
      }
    ?>
    <?php if ($event->hideDetails != true): ?>
      <div class="service-buttons-group">
        <?php if ($event->hideDetails != true) {
          $locationOfFuneral = "";
          if (isset($event->venue) && $fcrmShowLocation == true) {
            if (isset($event->venue) && isset($event->venue->name)) {
              $locationOfFuneral = $locationOfFuneral . " " . $event->venue->name;
            }
            if (isset($event->venue) && isset($event->venue->address)) {
              $locationOfFuneral = $locationOfFuneral . " " . $event->venue->address;
            }
          }

          $locationOfFuneral = str_replace("\n", ",", $locationOfFuneral);

          $serviceEndTime = clone $serviceTime;
          date_add($serviceEndTime, date_interval_create_from_date_string('1 hour'));
        ?>
          <button type="button" class="service-button ical-download" title="Download iCal" data-event-name="<?php echo $event->eventType; ?> for <?php echo $client->name; ?>" data-event-location="<?php echo $fcrmShowLocation ? $locationOfFuneral : ''; ?>" data-event-start-date="<?php echo addslashes($serviceTime->format("Y-m-d")); ?>" data-event-start-time="<?php echo addslashes($serviceTime->format("H:i")); ?>" data-event-end-date="<?php echo $serviceEndTime->format("Y-m-d"); ?>" data-event-end-time="<?php echo $serviceEndTime->format("H:i"); ?>" data-event-timezone="<?php echo $event->timezone; ?>"><i class="far fa-calendar-alt me-2"></i><span class="sr-only">Save to Calendar</span></button>
        <?php } ?>

        <?php if ($fcrmShowLocation == true && isset($event->venue) && isset($event->venue->googleLink)): ?>
          <a class="service-button" href="<?php echo urldecode($event->venue->googleLink); ?>" target="_blank"><i class="far fa-map-marked"></i><span class="sr-only">Directions</span></a>
        <?php endif; ?>
      </div>
  <?php endif; ?>
  </div>
</div>
